package dk.vajhoej.record.edit;

import dk.vajhoej.record.FieldInfo;

class FieldInt extends FieldDecAndHex<Integer> {
	private static final long serialVersionUID = 1L;
	public FieldInt(FieldInfo fi) {
		super(fi, new Convert<Integer>() {
			public String toDec(Integer v) {
				return Integer.toString(v);
			}
			public Integer fromDec(String v) {
				return Integer.parseInt(v);
			}
			public String toHex(Integer v) {
				return Integer.toString(v, 16);
			}
			public Integer fromHex(String v) {
				return Integer.parseInt(v, 16);
			}
		});
	}
}